GetOwnRequestLog

Updated at:
Copy as MD

Queries the log details of OpenAPI calls made by the current account based on the Request ID returned by the API, for troubleshooting purposes.

Operation description

This API does not support authorization.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

GET /getOwnRequestLog HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

logRequestId

string

Yes

The RequestId of the log to query. The unique identifier of the API request (in UUID format, and must be uppercase).

123E4567-E89B-12D3-A456-426614174000

Response elements

Element

Type

Description

Example

object

Schema of Response

logInfo

object

The detailed information about the API request log.

basicInfo

object

The basic information about the API request.

api

string

The API name in the queried log.

RunInstances

apiDoc

object

API documentation information.

aliyunSite

string

Documentation link for the China site.

https://api.aliyun.com/document/Ecs/2014-05-26/RunInstances

alibabacloudSite

string

Documentation link for the international site.

https://api.alibabacloud.com/document/Ecs/2014-05-26/RunInstances

apiVersion

string

API version information.

2014-05-26

product

string

Product CODE.

Ecs

productName

object

Product name information, including the Chinese name and the English name.

cnName

string

Chinese name of the product.

云服务器 ECS

enName

string

English name of the product.

Elastic Compute Service

apiStyle

string

API style. Can be ROA or RPC style.

rpc

logRequestId

string

The RequestId that was passed in.

123E4567-E89B-12D3-A456-426614174000

httpStatusCode

string

The HTTP status code in the queried log.

400

errorCode

string

The error code in the queried log. This field is empty if the queried request did not report an error.

IncorrectStatus.TransitRouter

errorMessage

string

The error message in the queried log. This field is empty if the queried request did not report an error.

The resource is not in a valid state for the operation.

accessDeniedDetail

object

Details of the no-permission error

policyType

string

The policy type that has no permission

AccountLevelIdentityBasedPolicy

authPrincipalOwnerId

string

The Alibaba Cloud account UID to which the current identity belongs

1001234561234567

authPrincipalType

string

The identity type of the operator

SubUser

authPrincipalDisplayName

string

Identity identifier

205618123456123456

noPermissionType

string

Reason for no permission

ImplicitDeny

authAction

string

The specific action that caused the no-permission error

openapiexplorer:GetRequestLog

encodedDiagnosticMessage

string

Encoded information used for diagnosis. You can call the DecodeDiagnosticMessage OpenAPI of the RAM product for further diagnosis to obtain more diagnostic information.

-

httpMethod

string

HTTP request method.

GET

requestDuration

string

The time from when the gateway received the request to when it returned the response. Unit: milliseconds (ms).

188

sdkRequestTime

string

The time when the request was initiated. The date format follows ISO8601 notation and uses UTC time, in the format yyyy-MM-ddTHH:mm:ssZ

2025-01-21T07:43:06Z

gatewayProcessTime

string

The time when the gateway received the request. The date format follows ISO8601 notation and uses UTC time, in the format yyyy-MM-ddTHH:mm:ssZ

2025-01-21T07:43:06Z

regionId

string

Service region ID.

cn-hangzhou

endpoint

string

The service address (Endpoint) corresponding to the service region.

ecs.cn-hangzhou.aliyuncs.com

throttlingResult

string

Flow control check result. FC.PASS: not intercepted by the flow control check; FC.DENY: intercepted by the flow control check.

FC.PASS

callerInfo

object

The caller information.

callerType

string

Caller type.

  1. customer: cloud account;

  2. sub: RAM sub-user;

  3. AssumedRoleUser: STS Token temporary identity;

sub

callerIp

string

IP address of the caller

100.68.xxx.xxx

masterAccountId

string

Master account ID

1973374733454118

callerAccountId

string

Caller account ID

241009849925897811

userAgent

string

User agent information

AlibabaCloud API Workbench

vpcId

string

vpc-abcd

authenticationInfo

object

The authentication information.

signatureVersion

string

Signature version

unknown

signatureMethod

string

Signature method.

  • HMAC-SHA1: Use the HMAC-SHA1 algorithm to sign

  • HMAC-SHA256: Use the HMAC-SHA256 algorithm to sign

HMAC-SHA256

authenticationType

string

Authentication type.

  • AK: Includes permanent AK, temporary AK, STS TOKEN, etc.

  • PRIVATEKEY: An asymmetric encryption type of AK.

  • BEARERTOKEN: An authentication mechanism widely used in the OAuth 2.0 framework and cloud services.

  • CUSTOM_SPI: An efficient and secure authentication method, suitable for the delivery and management of SaaS-type products in Cloud Marketplace.

  • Anonymous: Anonymous access.

  • DPS: Similar to AK, but the signature algorithm differs from the Alibaba Cloud official one. Exclusive to certain products.

AK

ak

string

LTAI1234abcd

parameters

array<object>

The request parameter information.

object

name

string

Request parameter name.

InstanceType

value

any

Request parameter value.

ecs.g6.large

required

boolean

Whether the request parameter is required.

false

type

string

The type of the request parameter.

string

responses

object

The response information for the request.

responseBody

string

Response information.

-

responseBodyFormat

string

Response body type. JSON, XML, HTML.

JSON

requestId

string

The request ID.

9BFC4AC1-6BE4-5405-BDEC-CA288D404812

Examples

Success response

JSON format

{
  "logInfo": {
    "basicInfo": {
      "api": "RunInstances\n",
      "apiDoc": {
        "aliyunSite": "https://api.aliyun.com/document/Ecs/2014-05-26/RunInstances",
        "alibabacloudSite": "https://api.alibabacloud.com/document/Ecs/2014-05-26/RunInstances"
      },
      "apiVersion": "2014-05-26",
      "product": "Ecs\n",
      "productName": {
        "cnName": "云服务器 ECS\n",
        "enName": "\t\nElastic Compute Service\n"
      },
      "apiStyle": "rpc",
      "logRequestId": "123E4567-E89B-12D3-A456-426614174000",
      "httpStatusCode": "400",
      "errorCode": "IncorrectStatus.TransitRouter\n",
      "errorMessage": "The resource is not in a valid state for the operation.\n",
      "accessDeniedDetail": {
        "policyType": "\t\nAccountLevelIdentityBasedPolicy\n",
        "authPrincipalOwnerId": "1001234561234567\n",
        "authPrincipalType": "SubUser\n",
        "authPrincipalDisplayName": "205618123456123456\n",
        "noPermissionType": "ImplicitDeny\n",
        "authAction": "openapiexplorer:GetRequestLog\n",
        "encodedDiagnosticMessage": "-\n"
      },
      "httpMethod": "GET\n",
      "requestDuration": "188",
      "sdkRequestTime": "2025-01-21T07:43:06Z\n",
      "gatewayProcessTime": "2025-01-21T07:43:06Z\n\n",
      "regionId": "cn-hangzhou\n",
      "endpoint": "ecs.cn-hangzhou.aliyuncs.com\n",
      "throttlingResult": "FC.PASS\n"
    },
    "callerInfo": {
      "callerType": "sub\n",
      "callerIp": "100.68.xxx.xxx\n",
      "masterAccountId": "1973374733454118\n",
      "callerAccountId": "241009849925897811\n",
      "userAgent": "AlibabaCloud API Workbench\n",
      "vpcId": "vpc-abcd"
    },
    "authenticationInfo": {
      "signatureVersion": "unknown\n",
      "signatureMethod": "HMAC-SHA256",
      "authenticationType": "AK",
      "ak": "LTAI1234abcd"
    },
    "parameters": [
      {
        "name": "InstanceType\n",
        "value": "ecs.g6.large\n",
        "required": true,
        "type": "string\n"
      }
    ],
    "responses": {
      "responseBody": "-\n",
      "responseBodyFormat": "JSON\n"
    }
  },
  "requestId": "\t\n9BFC4AC1-6BE4-5405-BDEC-CA288D404812\n"
}

Error codes

HTTP status code

Error code

Error message

Description

400 InvalidParam.LogRequestId Please ensure that the request ID you provided originates from a request you made to a certain OpenAPI. The parameter logRequestId is invalid. Make sure that the request ID you provide originates from a request you made to a OpenAPI.
404 NotFound.RequestLog The log related to this logRequestId does not exist, has expired, or you do not have permission to view it. The log associated with this logRequestId does not exist, has expired, or you do not have permission to view it.

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.